Signals. Infra
API Reference

Coverage & provenance

GET
/v1/status

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Query Parameters

tickers?array<string>|

comma list or repeated

ticker?string|null
fiscal_year?|null
fiscal_period?|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/status"
{  "data": [    {      "ticker": "UBER",      "tickers": [        "UBER"      ],      "fiscal_period": "FY2026-Q2",      "event_date": "2026-08-05T20:05:00+00:00",      "state": "ready",      "expected_documents": [        {          "document_type": "earnings_release",          "arrived": true,          "arrived_at": "2026-08-05T20:09:00+00:00",          "extracted": true,          "extracted_at": "2026-08-05T20:31:00+00:00",          "ref": {            "accession": "0001543151-26-000031",            "exhibit": "EX-99.1"          },          "estimated_arrival": null,          "estimate_reason": null        },        {          "document_type": "transcript",          "arrived": true,          "arrived_at": "2026-08-05T23:40:00+00:00",          "extracted": true,          "extracted_at": "2026-08-05T23:40:00+00:00",          "ref": {            "transcript_id": 51791          },          "estimated_arrival": null,          "estimate_reason": null        },        {          "document_type": "deck",          "arrived": false,          "arrived_at": null,          "extracted": false,          "extracted_at": null,          "ref": null,          "estimated_arrival": null,          "estimate_reason": "no_historical_timing_for_document_type"        },        {          "document_type": "periodic_filing",          "arrived": false,          "arrived_at": null,          "extracted": false,          "extracted_at": null,          "ref": null,          "estimated_arrival": "2026-08-07T20:00:00+00:00",          "estimate_reason": null        }      ],      "latest_datapoint_at": "2026-08-05T21:14:08+00:00",      "provisional": true,      "estimated_completion": null,      "estimate_reason": "no_historical_timing_for_document_type",      "as_of": "2026-08-06T12:00:00+00:00"    }  ]}
GET
/v1/coverage

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/coverage"
{  "issuers": 5543,  "tickers_with_kpis": 4228,  "datasets": {    "filings": 543146,    "transcripts": 12430,    "kpi_metrics": 574436,    "kpi_observations": 1517762,    "ir_documents": 311458,    "document_chunks": 5720006  },  "allowlist": [    "databento_mini",    "finra",    "iex_hist",    "issuer_page",    "nasdaq",    "sec",    "signals_ir",    "signals_transcript"  ]}
GET
/v1/coverage/{symbol}

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

symbol*Symbol

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/coverage/string"
{  "company": {    "symbol": "UBER:US",    "ticker": "UBER",    "market": "US",    "name": "Uber Technologies, Inc. Common Stock",    "cik": "0001543151",    "isin": null,    "figi": null,    "issuer_id": 10483  },  "datasets": {    "filings": {      "count": 89,      "latest": "2026-07-16T00:00:00+00:00"    },    "transcripts": {      "count": 3,      "latest": "2026-07-16T00:00:00+00:00"    },    "kpi_observations": {      "count": 716,      "latest": "2026-07-20T10:18:42.762293"    },    "ir_documents": {      "count": 136,      "latest": "2026-07-15T00:00:00+00:00"    }  }}
GET
/v1/src/{src_id}

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

src_id*Src Id

Query Parameters

redirect?Redirect
Defaultfalse

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/src/string"
{  "src_id": "src_kpi_4be1a5c0d2e79f316a08",  "resolvable": true,  "status": "current",  "superseded": false,  "id_form": "workbook",  "dataset": "kpi",  "ticker": "UBER",  "cik": "0001543151",  "series_key": "kpi:gross_bookings",  "metric_key": "gross_bookings",  "fiscal_period": "FY2026-Q2",  "calendar_period": "CY2026-Q2",  "period_end": "2026-06-30",  "value": 58022000000,  "unit": "USD",  "source_type": "8-K Ex-99.1",  "document": {    "accession": "0001543151-26-000031",    "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000031/uber-ex991.htm",    "observation_ref": null  },  "quote": "Total | $ 46,756 | $ 58,022 | 24 % | 22 %",  "quote_location": null,  "deep_link": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000031/uber-ex991.htm",  "first_indexed_at": "2026-08-06T22:04:11"}
GET
/v1/versions

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/versions"
{  "current_version": "v1",  "migration_window_days": 180,  "versions": [    {      "version": "v1",      "status": "current",      "deprecated_on": null,      "sunset_on": null,      "successor": null    }  ],  "deprecated_fields": [    {      "name": "period",      "replaced_by": [        "calendar_period",        "fiscal_period"      ],      "deprecated_on": "2026-09-29",      "sunset_on": "2027-03-28",      "note": "The period object is served beside calendar_period and fiscal_period until its sunset."    }  ],  "deprecated_params": [    {      "name": "offset",      "replaced_by": [        "cursor"      ],      "deprecated_on": "2026-09-29",      "sunset_on": "2027-03-28",      "note": "Page with the returned cursor."    }  ],  "pagination": {    "style": "keyset cursor",    "max_page_size": 500  }}